View Issue Details

IDProjectCategoryView StatusLast Update
0012610LazarusIDEpublic2009-06-13 12:08
ReporterStumpy Assigned ToVincent Snijders  
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSUbuntu 
Product Version0.9.26.1 (SVN) 
Fixed in Version0.9.26.1 (SVN) 
Summary0012610: Duplicate identifier error went compiling Lazarus.
DescriptionLazarus 'fixes_9_26' will not compile. I'm using Fpc 2.2.2.
See buildlog
TagsNo tags attached.
Fixed in Revision17335,17336
LazTarget
WidgetsetGTK, GTK 2
Attached Files

Activities

2008-11-11 06:45

 

buildlog (6,829 bytes)   
make -C lcl all
make[1]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/lcl'
/bin/rm -f units/x86_64-linux/alllclunits.ppu
/home/stumpy/my-builds/fpc/release_2_2_2/compiler/ppcx64 -gl -Fu. -Funonwin32 -Fuforms -Fuwidgetset -Fiinclude -FE. -FUunits/x86_64-linux -Cg -dx86_64 alllclunits.pp
Free Pascal Compiler version 2.2.2 [2008/10/15] for x86_64
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Linux for x86-64
Compiling alllclunits.pp
76 lines compiled, 1.5 sec 
make -C interfaces all
make[2]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/lcl/interfaces'
make -C gtk all
make[3]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/lcl/interfaces/gtk'
/bin/rm -f ../../units/x86_64-linux/gtk/interfaces.ppu \
		../../units/x86_64-linux/gtk/interfaces.o
/home/stumpy/my-builds/fpc/release_2_2_2/compiler/ppcx64 -gl -dgtk1 -Fu../../units/x86_64-linux -Fu. -FE. -FU../../units/x86_64-linux/gtk -Cg -dx86_64 interfaces.pp
Free Pascal Compiler version 2.2.2 [2008/10/15] for x86_64
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Linux for x86-64
Compiling interfaces.pp
48 lines compiled, 0.10 sec 
make[3]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/lcl/interfaces/gtk'
make[2]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/lcl/interfaces'
make[1]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/lcl'
make -C components all
make[1]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/components'
make -C synedit all
make[2]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/components/synedit'
/bin/rm -f units/x86_64-linux/allsyneditunits.ppu
/home/stumpy/my-builds/fpc/release_2_2_2/compiler/ppcx64 -gl -dlclgtk -Fu../../lcl/units/x86_64-linux -Fu. -FE. -FUunits/x86_64-linux -Cg -dx86_64 allsyneditunits.pp
Free Pascal Compiler version 2.2.2 [2008/10/15] for x86_64
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Linux for x86-64
Compiling allsyneditunits.pp
46 lines compiled, 0.8 sec 
make[2]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/components/synedit'
make -C codetools all
make[2]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/components/codetools'
/bin/rm -f units/x86_64-linux/allcodetoolunits.ppu
/home/stumpy/my-builds/fpc/release_2_2_2/compiler/ppcx64 -gl -Fu. -FE. -FUunits/x86_64-linux -Cg -dx86_64 allcodetoolunits.pp
Free Pascal Compiler version 2.2.2 [2008/10/15] for x86_64
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Linux for x86-64
Compiling allcodetoolunits.pp
34 lines compiled, 0.2 sec 
make[2]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/components/codetools'
make[1]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/components'
make -C packager/registration all
make[1]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/packager/registration'
/bin/rm -f ../units/x86_64-linux/lazaruspackageintf.ppu
/home/stumpy/my-builds/fpc/release_2_2_2/compiler/ppcx64 -gl -Fu. -FE. -FU../units/x86_64-linux -Cg -dx86_64 lazaruspackageintf.pas
Free Pascal Compiler version 2.2.2 [2008/10/15] for x86_64
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Linux for x86-64
Compiling lazaruspackageintf.pas
109 lines compiled, 0.1 sec 
make[1]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/packager/registration'
make -C ideintf all
make[1]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/ideintf'
/bin/rm -f units/x86_64-linux/allideintf.ppu
/home/stumpy/my-builds/fpc/release_2_2_2/compiler/ppcx64 -gl -dlclgtk -Fu../lcl/units/x86_64-linux -Fu../components/codetools/x86_64-linux -Fu../packager/units/x86_64-linux -Fu. -FE. -FUunits/x86_64-linux -Cg -dx86_64 allideintf.pas
Free Pascal Compiler version 2.2.2 [2008/10/15] for x86_64
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Linux for x86-64
Compiling allideintf.pas
65 lines compiled, 0.9 sec 
make[1]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/ideintf'
make -C designer all
make[1]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/designer'
make -C jitform all
make[2]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/designer/jitform'
/bin/rm -f units/x86_64-linux/jitform.ppu
/home/stumpy/my-builds/fpc/release_2_2_2/compiler/ppcx64 -gl -Fu../../lcl/units/x86_64-linux -Fu. -FE. -FUunits/x86_64-linux -Cg -dx86_64 jitform.pas
Free Pascal Compiler version 2.2.2 [2008/10/15] for x86_64
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Linux for x86-64
Compiling jitform.pas
127 lines compiled, 0.7 sec 
make[2]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/designer/jitform'
make[1]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/designer'
make -C packager all
make[1]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/packager'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/packager'
make -C ide ide
make[1]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/ide'
../tools/svn2revisioninc .. revision.inc
Created /home/stumpy/my-builds/lazarus/fixes_0_9_26/ide/revision.inc for revision: 17334M
make --assume-new=lazarus.pp lazarus
make[2]: Entering directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/ide'
/home/stumpy/my-builds/fpc/release_2_2_2/compiler/ppcx64 -gl -dlclgtk -Fu../lcl/units/x86_64-linux -Fu../lcl/units/x86_64-linux/gtk -Fu../components/codetools/units/x86_64-linux -Fu../components/synedit/units/x86_64-linux -Fu../components/custom -Fu../components/mpaslex -Fu../ideintf/units/x86_64-linux -Fu../designer -Fu../designer/jitform/units/x86_64-linux -Fu../debugger -Fu../converter -Fu../packager -Fu../packager/units/x86_64-linux -Fu../units/x86_64-linux -Fu. -Fiinclude -Fiinclude/linux -Fi../images -FE.. -FU../units/x86_64-linux -Cg -Fl/usr/lib/gcc/x86_64-linux-gnu/4.2.4 -Flinclude -Fl/etc/ld.so.conf.d/*.conf -dx86_64 lazarus.pp
Free Pascal Compiler version 2.2.2 [2008/10/15] for x86_64
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Linux for x86-64
Compiling lazarus.pp
Compiling splash.pp
Compiling aboutfrm.pas
Compiling environmentopts.pp
Compiling exttooldialog.pas
Compiling exttooleditdlg.pas
exttooleditdlg.pas(50,34) Error: Duplicate identifier "BUTTONPANEL"
exttooleditdlg.pas(50,34) Error: Duplicate identifier "ButtonPanel"
Compiling keymapshortcutdlg.pas
Compiling keymapping.pp
keymapping.pp(173,1) Fatal: There were 2 errors compiling module, stopping
Fatal: Compilation aborted
make[2]: *** [lazarus] Error 1
make[2]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/ide'
make[1]: *** [ide] Error 2
make[1]: Leaving directory `/home/stumpy/my-builds/lazarus/fixes_0_9_26/ide'
make: *** [ide] Error 2
buildlog (6,829 bytes)   

Vincent Snijders

2008-11-11 09:07

manager   ~0023299

Thanks for testing. I am glad to know that the fixes branch is used and errors are spotted.
Some revisions were merged in the wrong order.

Issue History

Date Modified Username Field Change
2008-11-11 06:45 Stumpy New Issue
2008-11-11 06:45 Stumpy File Added: buildlog
2008-11-11 06:45 Stumpy Widgetset => GTK, GTK 2
2008-11-11 08:18 Vincent Snijders Status new => assigned
2008-11-11 08:18 Vincent Snijders Assigned To => Vincent Snijders
2008-11-11 09:07 Vincent Snijders Fixed in Revision => 17335,17336
2008-11-11 09:07 Vincent Snijders Status assigned => resolved
2008-11-11 09:07 Vincent Snijders Fixed in Version => 0.9.26.1 (SVN)
2008-11-11 09:07 Vincent Snijders Resolution open => fixed
2008-11-11 09:07 Vincent Snijders Note Added: 0023299
2009-06-13 12:08 Marc Weustink Status resolved => closed